Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.street
Class StreetSearchEngine

    java.lang.Object
      com.gisgraphy.street.StreetSearchEngine

All Implemented Interfaces:
  com.gisgraphy.service.IQueryProcessor<com.gisgraphy.street.StreetSearchQuery>, com.gisgraphy.street.IStreetSearchEngine

    public class StreetSearchEngine

extends Object
implements com.gisgraphy.street.IStreetSearchEngine

Default (threadsafe) implementation of `IStreetSearchEngine`.

Author:
  David Masclet

Field Summary
`protected static org.slf4j.Logger` | `logger` The logger

Constructor Summary
`StreetSearchEngine()`

Method Summary
`void` | `executeAndSerialize(com.gisgraphy.street.StreetSearchQuery query, OutputStream outputStream)`
`com.gisgraphy.domain.valueobject.StreetSearchResultsDto` | `executeQuery(com.gisgraphy.street.StreetSearchQuery query)`
`String` | `executeQueryToString(com.gisgraphy.street.StreetSearchQuery query)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final org.slf4j.Logger logger

  The logger

Constructor Detail

### StreetSearchEngine

    public StreetSearchEngine()

Method Detail

### executeQuery

    public com.gisgraphy.domain.valueobject.StreetSearchResultsDto executeQuery(com.gisgraphy.street.StreetSearchQuery query)
                                                                         throws com.gisgraphy.service.ServiceException

  Specified by:
    `executeQuery` in interface `com.gisgraphy.street.IStreetSearchEngine`
  Throws:
    `com.gisgraphy.service.ServiceException`

### executeAndSerialize

    public void executeAndSerialize(com.gisgraphy.street.StreetSearchQuery query,
                                    OutputStream outputStream)
                             throws com.gisgraphy.service.ServiceException

  Specified by:
    `executeAndSerialize` in interface `com.gisgraphy.service.IQueryProcessor<com.gisgraphy.street.StreetSearchQuery>`
  Throws:
    `com.gisgraphy.service.ServiceException`

### executeQueryToString

    public String executeQueryToString(com.gisgraphy.street.StreetSearchQuery query)
                                throws com.gisgraphy.service.ServiceException

  Specified by:
    `executeQueryToString` in interface `com.gisgraphy.service.IQueryProcessor<com.gisgraphy.street.StreetSearchQuery>`
  Throws:
    `com.gisgraphy.service.ServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.